org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    JBPMMessages.ProcessTimer.TimerInstance, JBPMMessages.ProcessTimer.TimerInstance.Builder
  Enclosing class:
    JBPMMessages.ProcessTimer

      public static interface JBPMMessages.ProcessTimer.TimerInstanceOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getActivatedTime()` `optional int64 activated_time = 6;`
    `long` | `getDelay()` `optional int64 delay = 3;`
    `int` | `getDEPRECATEDSessionId()` `optional int32 DEPRECATED_sessionId = 8;`
    `long` | `getId()` `optional int64 id = 1;`
    `long` | `getLastTriggered()` `optional int64 last_triggered = 7;`
    `long` | `getPeriod()` `optional int64 period = 4;`
    `long` | `getProcessInstanceId()` `optional int64 process_instance_id = 5;`
    `long` | `getSessionId()` `optional int64 sessionId = 9;`
    `long` | `getTimerId()` `optional int64 timer_id = 2;`
    `boolean` | `hasActivatedTime()` `optional int64 activated_time = 6;`
    `boolean` | `hasDelay()` `optional int64 delay = 3;`
    `boolean` | `hasDEPRECATEDSessionId()` `optional int32 DEPRECATED_sessionId = 8;`
    `boolean` | `hasId()` `optional int64 id = 1;`
    `boolean` | `hasLastTriggered()` `optional int64 last_triggered = 7;`
    `boolean` | `hasPeriod()` `optional int64 period = 4;`
    `boolean` | `hasProcessInstanceId()` `optional int64 process_instance_id = 5;`
    `boolean` | `hasSessionId()` `optional int64 sessionId = 9;`
    `boolean` | `hasTimerId()` `optional int64 timer_id = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasId

          boolean hasId()

      `optional int64 id = 1;`

    - #### getId

          long getId()

      `optional int64 id = 1;`

    - #### hasTimerId

          boolean hasTimerId()

      `optional int64 timer_id = 2;`

    - #### getTimerId

          long getTimerId()

      `optional int64 timer_id = 2;`

    - #### hasDelay

          boolean hasDelay()

      `optional int64 delay = 3;`

    - #### getDelay

          long getDelay()

      `optional int64 delay = 3;`

    - #### hasPeriod

          boolean hasPeriod()

      `optional int64 period = 4;`

    - #### getPeriod

          long getPeriod()

      `optional int64 period = 4;`

    - #### hasProcessInstanceId

          boolean hasProcessInstanceId()

      `optional int64 process_instance_id = 5;`

    - #### getProcessInstanceId

          long getProcessInstanceId()

      `optional int64 process_instance_id = 5;`

    - #### hasActivatedTime

          boolean hasActivatedTime()

      `optional int64 activated_time = 6;`

    - #### getActivatedTime

          long getActivatedTime()

      `optional int64 activated_time = 6;`

    - #### hasLastTriggered

          boolean hasLastTriggered()

      `optional int64 last_triggered = 7;`

    - #### getLastTriggered

          long getLastTriggered()

      `optional int64 last_triggered = 7;`

    - #### hasDEPRECATEDSessionId

          boolean hasDEPRECATEDSessionId()

      `optional int32 DEPRECATED_sessionId = 8;`

    - #### getDEPRECATEDSessionId

          int getDEPRECATEDSessionId()

      `optional int32 DEPRECATED_sessionId = 8;`

    - #### hasSessionId

          boolean hasSessionId()

      `optional int64 sessionId = 9;`

    - #### getSessionId

          long getSessionId()

      `optional int64 sessionId = 9;`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.